player_device_nameservice_req Struct Reference

Nameservice request. More...

`#include <player_interfaces.h>`

## Public Attributes

uint32_t | name_count
| Length of robot name.
uint8_t | name [PLAYER_MAX_DRIVER_STRING_LEN]
| The robot name.
uint16_t | port
| The corresponding port.

## Detailed Description

Nameservice request.

Todo:
  Update this structure and add support for it to libplayertcp. Right now it's disabled.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45